/*
· Cuando publiquemos la página en el portfolio, poner cuál es el usuario y contraseña, y cada cierto tiempo comprobar que no nos lo han estropeado. Si es así, hay que volver a subir las tablas y la carpeta de imágenes.
· Index: Portadas responsive "-.-
· GESTOR: 1280px: 200px admin + 1000px contenido derecha | Min width 1024, para que salga el scroll
*/

/* TÍTULOS: font-family: 'Kaushan Script', cursive; */
/* GENERAL: font-family: 'Source Sans Pro', sans-serif; */

/* ........................................ BUSCADOR RÁPIDO ........................................ */

/*  buscador rápido */
.search-box {
    -webkit-transition: width 0.6s, border-radius 0.6s, background 0.6s, box-shadow 0.6s;
          transition: width 0.6s, border-radius 0.6s, background 0.6s, box-shadow 0.6s;
    width: 40px;
    height: 40px;
    border-radius: 20px;
    border: none;
    cursor: pointer;
    background: #ebebeb;
}

.search-box + label .search-icon {
    color: black;
}

.search-box:hover {
    color: white;
    background: #c8c8c8;
    box-shadow: 0 0 0 5px #3d4752;
}

.search-box:hover + label .search-icon {
    color: white;
}

.search-box:focus {
    -webkit-transition: width 0.6s cubic-bezier(0, 1.22, 0.66, 1.39), border-radius 0.6s, background 0.6s;
          transition: width 0.6s cubic-bezier(0, 1.22, 0.66, 1.39), border-radius 0.6s, background 0.6s;
    border: none;
    outline: none;
    box-shadow: none;
    padding-left: 15px;
    cursor: text;
    width: 300px;
    border-radius: auto;
    background: #ebebeb;
    color: black;
}

.search-box:focus + label .search-icon {
    color: black;
}

.search-box:not(:focus) {
    text-indent: -5000px;
}

#search-submit {
	display:none;
}

.search-icon {
    position: relative;
    left: -30px;
    color: white;
    cursor: pointer;
}

#form2{
    /*
    position:absolute;
    top:30px;
    right:30px;
    */
}

/* ........................................ SIEMPRE ........................................ */

*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

html,body{
    width: 100%;
    height: 100%;
}

html{
    scroll-behavior: smooth;
}
		
/*
img{
    width: 100%;
}
Lo comento y le doy a todas las fotos el class i; debido a las imágenes de las barras de "encuesta-resultado", que con img 100% no pueden funcionar.
*/

.i{
    width: 100%;
}

.imgw1{
    width: 85px;
}

.imgw2{ /* index - usuario */
    width: 25px;
    float: right;
    margin: 30px 0px 0px 0px;
}

.imgw3{
    width: 20px;
}

.imgw4{
    width: 150px;
}

.imgw1-1180{
    width: 120px;
}

.imgw1-640{
    width: 400px;
}

.imgw1-425{
    width: 150px;
}

.img-portada{ /* index - portadas */
    max-height: 400px;
    overflow: hidden;
}

.hamb{
    display: none;
    cursor: pointer;
    position: absolute;
    top: 37px;
    left: 20px;
    width: 38px;
    height: 38px;
}

.mxw{
    padding: 0px 90px;
    margin: 0px auto;
}

.mxw2{
    padding: 0px 90px;
    margin: 0px auto;
}

.ocultar{
    display: none;
}

.ocultar-menu1{
    display: block;
}

.ocultar-menu2{
    display: none;
}

.ocultar-1180-1{
    display: none;
}

.ocultar-1180-2{
    display: block;
}

.ocultar-1024{
    display: none;
}

.ocultar-640-1{
    display: block;
}

.ocultar-640-2{
    display: none;
}

.ocultar-425-1{
    display: block;
}

.ocultar-425-2{
    display: none;
}


/* ........................................ SECCIONES ........................................ */

.subir{ /* index - portadas */
    margin-bottom: -4px;
}

.art-portada{
    position: relative;
}

.art-portada .txtproducto{
    position: absolute;
    top: 0px; /* left: 0px no hace falta */
    width: 50%;
    padding: 10px;
    color: rgba(255,255,255,1.00);
    background-color: rgba(228,100,27,0.8);
    z-index: 10;
    height: 100%;
}

.art-portada:nth-child(odd) .txtproducto{
    right: 0px;
}

.recuadro{
    border: 1px solid #224845;
    padding: 20px;
    width: 600px;
    margin: 0px auto;
}

.paginacion-negrita{ /* glosario - paginacion */
    margin-top: 20px;
    text-align: center;
}

.paginacion-negrita a{ /* glosario - paginacion */
    padding: 2px 5px;
    text-decoration: none;
    color: rgba(0,0,0,1.00);
}

.paginacion-negrita span{ /* glosario - paginacion */
    padding: 2px 5px;
    background-color: rgba(0,0,0,1.00);
    color: #ffffff;
}

.otros{ /* glosario - paginacion */
    
}

footer{
    background-color: #224845;
    padding: 20px;
}

footer .tit{
    font-family: 'Kaushan Script', cursive;
    color: #ffffff;
    text-align: center;
    font-size: 35px;
    margin-top: 15px;
}

footer .tit2{
    font-family: 'Kaushan Script', cursive;
    color: #ffffff;
    text-align: center;
    font-size: 35px;
    margin: 0px 0px 25px;
}

footer p{
    color: #ffffff;
}


/* ........................................ NAV ........................................ */

#menu1{
    margin: 25px auto 20px;
    text-align: center;
    width: 950px;
}

#menu1 ul{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    list-style-type: none;
    text-align: center;
}

#menu1 ul li a{
    display: block;
    text-decoration: none;
    text-align: center;
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 18px;
    font-weight: bold;
    color: #224845;
    padding: 10px 30px;
}

#menu1 ul li a:hover{
    color: #a6bc86;
}



#menu2{
    margin: 25px auto 20px;
    text-align: center;
}

#menu2 ul{
    flex-direction: column;
    list-style-type: none;
    text-align: center;
}

#menu2 ul li a{
    display: block;
    text-decoration: none;
    text-align: center;
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 18px;
    font-weight: bold;
    color: #224845;
    padding: 10px 30px;
}

#menu2 ul li a:hover{
    color: #a6bc86;
}


/* ........................................ TEXTOS ........................................ */

h1{
    font-family: 'Kaushan Script', cursive;
    font-size: 40px;
    color: #436515;
    margin-top: -12px;
}

h2{
    font-family: 'Kaushan Script', cursive;
    font-size: 35px;
    color: #224845;
    text-transform: capitalize;
}

h3{
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 25px;
    color: #224845;
}

h4{
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 20px;
    color: #224845;
}

p{
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    text-decoration: none;
    color: #000000;
}

a{
    text-decoration: none;
    color: #000000;
}

ul, li{
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    text-decoration: none;
    color: #000000;
    list-style-type: none;
}

.negrita{
    font-weight: bold;
}

.pblanco{
    color: #ffffff;
}

.tit{
    margin: 25px auto 20px;
    text-align: center;
}

.pslider1{ /* index - slider */
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 55px;
    font-weight: bold;
    color: #ffffff;
    text-shadow: 0px 0px 8px #436515;
}

.pslider2{ /* index - slider */
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 20px;
    color: #ffffff;
    text-shadow: 0px 0px 8px #436515;
}

.padmin{ /* footer */
    color: #ffffff;
    text-decoration: none;
}

.psombra{
    text-shadow: 0px 0px 8px #000000;
}

.fecha{ /* noticias */
    background-color: #a6bc86;
    padding: 26px 20px 20px 20px;
    border-radius: 50%;
    text-align: center;
    width: 91px;
    height: 91px;
    margin-bottom: 15px;
}

.info{ /* index - textos newsletter */
    background-color: #a6bc86;
    padding: 10px;
    margin-bottom: 15px;
    text-align: center;
}

.pregunta{ /* encuesta */
    font-weight: bold;
    font-size: 20px;
}


/* ........................................ MARGENES ........................................ */

.marbot0{
    margin-bottom: 10px;
}

.marbot1{
    margin-bottom: 20px;
}

.marbot2{
    margin-bottom: 40px;
}

.marbot3{
    margin-bottom: 100px;
}

.martop1{
    margin-top: 15px;
}

.martop2{
    margin-top: 5px;
}

.martop3{
    margin-top: 100px;
}

.marri1{
    margin-right: 35px;
}

.marri2{
    margin-right: 17px;
}

.medio{
    text-align: center;
    margin: 0px auto;
}

.alineado-centro{ /* cuando usamos flex */
	align-items: center;
}

.padle1{
    padding-left: 35px;
}


/* ........................................ RAYAS ........................................ */

.raya1{ /* ficha receta - horizontal */
    background-color: #224845;
    height: 2px;
    width: auto;
}

.raya2{ /* noticias - vertical fina */
    border-right: 1px solid #224845;
}

.raya3{ /* encuesta - horizontal pequeña */
    background-color: #224845;
    height: 2px;
    width: auto;
    margin: 3px 35px 25px 0px;
}


/* ........................................ FLEX & FLOAT ........................................ */

.fx{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.fx2{
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
}

[class*="col-"]{
	float: left;
}

.col-1{width: 8.33%;}
.col-2{width: 16.66%;}
.col-3{width: 25%;}
.col-4{width: 33.33%;}
.col-5{width: 41.66%;}
.col-6{width: 50%;}
.col-7{width: 58.33%;}
.col-8{width: 66.66%;}
.col-9{width: 75%;}
.col-10{width: 83.33%;}
.col-11{width: 91.66%;}
.col-12{width: 100%;}

.f-12{
    width: 90px;
}

.f-30{
    width: 30%;
}

.f-40{
    width: 40%;
}

.f-60{
    width: 55%;
}

.f-70{
    width: 67%;
}

.f-85{
    width: 85%;
}

.fl-r{
    float: right;
}

.fl-l{
    float: left;
}

.overfl{
    overflow: auto;
}

.cb{
    clear: both;
}


/* ........................................ MADRE & HIJA ........................................ */

.madre{
    position: relative;
}

.hija1{ /* la cocina día a día */
    position: absolute;
    top: 150px;
    left: 50px;
    color: #436515;
}

.hija2{ /* index - portadas */
    position: absolute;
    top: 0px;
    width: 50%;
    padding: 35px 20px 0px;
    background-color: rgba(217, 146, 31, 0.7);
    z-index: 10;
    height: 100%;
}

.madre:nth-child(odd) .hija2{ /* index - portadas */
    right: 0px;
}

.hija3{
    position: absolute;
    top: 25px;
    right: 0px;
    z-index: 10;
}


/* ........................................ BOTONES ........................................ */

.boton1{ /* Index - Hija 1 */
    display: block;
    background-color: #ffffff;
    color: #436515;
    padding: 10px;
    width: 170px;
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    font-weight: bold;
    text-decoration: none;
    margin: 0px auto;
    border-radius: 10px;
    letter-spacing: 3px;
    text-transform: uppercase;
}

.boton1:hover{
    background-color: #436515;
    color: #ffffff;
}


/* ........................................ FORMULARIOS ........................................ */

/* .......... Index - Newsletter .......... */
#form-suscr legend{
    display: none;
}

#form-suscr fieldset{
    border: none;
}

#form-suscr label, #form-suscr input{
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 14px;
    display: inline-block;
    vertical-align: middle;
}

#form-suscr .campo{
    text-align: center;
    height: 40px;
    width: 150px;
}

#form-suscr #acepto{
    width: 15px;
    height: 15px;
}

#form-suscr .boton2{
    display: block;
    background-color: #a6bc86;
    color: #ffffff;
    padding: 3px;
    width: 100px;
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    text-decoration: none;
    margin: 15px auto 0px;
    border: none;
    border-radius: 10px;
}

#form-suscr .boton2:hover{
    background-color: #c6d4b2;
}


/* .......... Recetas - Buscar ingredientes .......... */
#form-ingr legend{
    display: none;
}

#form-ingr fieldset{
    border: none;
}

#form-ingr label, #form-ingr input{
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    display: inline-block;
    vertical-align: middle;
}

#form-ingr .campo{
    height: 25px;
    width: 200px;
}

#form-ingr .campo2{
    height: 25px;
    width: 100px;
}

#form-ingr .boton3{
    display: block;
    background-color: #a6bc86;
    color: #ffffff;
    padding: 3px;
    width: 100px;
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    text-decoration: none;
    border: none;
    border-radius: 10px;
}

#form-ingr .boton3:hover{
    background-color: #c6d4b2;
}


/* .......... Recetas - Comparte tu receta .......... */
#form-recetas legend{
    display: none;
}

#form-recetas fieldset{
    border: none;
}

#form-recetas label, #form-recetas input{
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    display: inline-block;
    vertical-align: middle;
}

#form-recetas input, select, option{
    height: 25px;
    vertical-align: middle;
    width: 250px;
}

#form-recetas textarea{
    height: 70px;
    vertical-align: middle;
    width: 250px;
}

#form-recetas .campo{
    background-color: #c6d4b2;
    padding: 3px;
    width: 130px;
    margin-right: 20px;
}

#form-recetas .boton4{
    display: block;
    background-color: #a6bc86;
    color: #ffffff;
    padding: 3px;
    width: 405px;
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    text-decoration: none;
    border: none;
    border-radius: 10px;
}

#form-recetas .boton4:hover{
    background-color: #c6d4b2;
}

/* .......... Encuesta .......... */
#form-encu{
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
}

#form-encu fieldset{
    border: none;
}

#form-encu legend{
    display: none;
}

#form-encu label{
    display: inline-block;
    background-color: #224845;
    color: #ffffff;
    padding: 5px;
    width: 120px;
    margin: 0px 10px 5px 0px;
}

#form-encu .boton3{
    display: block;
    background-color: #a6bc86;
    color: #ffffff;
    padding: 3px;
    width: 100px;
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    text-decoration: none;
    border: none;
    border-radius: 10px;
}

#form-encu .boton3:hover{
    background-color: #c6d4b2;
}


/* .......... Anuncios .......... */
#form-anuncio{
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
}

#form-anuncio fieldset{
    border: none;
}

#form-anuncio legend{
    display: none;
}

#form-anuncio label{
    display: inline-block;
    background-color: #224845;
    color: #ffffff;
    padding: 5px;
    width: 120px;
    margin: 0px 10px 5px 0px;
}

#form-anuncio .boton3{
    display: block;
    background-color: #a6bc86;
    color: #ffffff;
    padding: 3px;
    width: 100px;
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    text-decoration: none;
    border: none;
    border-radius: 10px;
}

#form-anuncio .boton3:hover{
    background-color: #c6d4b2;
}


/* .......... Entrada al gestor de contenidos .......... */
#form-entradagestor{
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
}

#form-entradagestor fieldset{
    border: none;
}

#form-entradagestor legend{
    font-size: 20px;
    color: #224845;
}

#form-entradagestor label{
    display: inline-block;
    background-color: #000000;
    color: #ffffff;
    padding: 5px;
    width: 90px;
    margin: 0px 10px 0px 0px;
    vertical-align: top;
}

#form-entradagestor .campo{
    height: 30px;
    width: 200px;
    padding: 2px;
    display: inline-block;
}

#form-entradagestor .boton3{
    display: block;
    background-color: #a6bc86;
    color: #ffffff;
    padding: 3px;
    width: 100px;
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    text-decoration: none;
    border: none;
    border-radius: 10px;
}

#form-entradagestor .boton3:hover{
    background-color: #c6d4b2;
}


/* ........................................ TABLAS ........................................ */

#tabla-ingr{
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    width: 100%;
    padding: 0px 35px 0px 0px;
}

#tabla-ingr caption{
    display: none;
}

#tabla-ingr th{
    background-color: #224845;
    color: #ffffff;
    padding: 10px;
}

#tabla-ingr td{
    padding: 10px;
    text-align: center;
    border-bottom: 1px solid #224845;
}

#tabla-ingr .borde-r{
    border-right: 1px solid #224845;
}

#tabla-ingr .masinfo{
    color: #a6bc86;
    font-weight: bold;
}


/* ..... GLOSARIO ..... */
#tabla-glosario{
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
}

#tabla-glosario caption{
    display: none;
}

#tabla-glosario th{
    background-color: #224845;
    color: #ffffff;
}


/* ..... ENCUESTA ..... */
#tabla-encu{
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    width: 100%;
    padding-right: 35px;
}

#tabla-encu caption{
    text-align: left;
    font-weight: bold;
    font-size: 20px;
    margin-bottom: 10px;
}

#tabla-encu th{
    background-color: #224845;
    color: #ffffff;
}

#tabla-encu td{
    border-bottom: 1px solid #224845;
    padding: 10px;
}


/* ........................................ ANIMACIONES ........................................ */

/* INDEX - MENÚ */
.animacion2{
	display: inline-block;
	cursor: pointer;
}

.animacion2:hover{
	animation-name: zoom;
	animation-duration: 1s;
	animation-timing-function: linear;
	animation-iteration-count: 1;
	animation-fill-mode: forwards;
	z-index: 50;
	position: relative;
}

@keyframes zoom{
	from{transform: scale(1);}
	to{transform: scale(1.1);}
}


/* ........................................ RESPONSIVE ........................................ */

@media screen and (max-width:1180px){ /* R1180 */
    .ocultar-1180-1{
        display: block;
    }
    
    .ocultar-1180-2{
        display: none;
    }
    
    .f-60{
        width: 100%;
    }
    
    .imgw1-1180{
        width: 100%;
    }
}

@media screen and (max-width:1024px){ /* R1024 */
    .ocultar-menu1{
        display: none;
    }

    .ocultar-menu2{
        display: block;
    }
    
    .ocultar-1024{
        display: block;
    }
    
    .hamb{
        display: block;
    }
    
    .hija1{ /* la cocina día a día */
        top: 80px;
    }
    
    .hija3{
        top: 35px;
    }
    
    /* ............... NAV ............... */
    
    #menu2{
        display: none;
    }
}


@media screen and (max-width:860px){ /* R860 */
    .ocultar860{
        display: none;
    }
    
    .altfija1{
        height: 60px;
    }
    
    .hija1{ /* la cocina día a día */
        top: 30px;
    }
    
    .pslider1{ /* index - slider */
        font-size: 40px;
    }

    .pslider2{ /* index - slider */
        font-size: 18px;
    }
    
    .f-70{
        width: 100%;
    }
    
    .raya2{ /* noticias - vertical fina */
        border-right: 0px solid #224845;
    }
    
    #tabla-ingr{
        padding: 0px 0px 0px 0px;
    }
    
    #tabla-encu{
        padding-right: 0px;
    }
}


@media screen and (max-width:640px){ /* R640 */
    .col-640-1{width: 8.33%;}
    .col-640-2{width: 16.66%;}
    .col-640-3{width: 25%;}
    .col-640-4{width: 33.33%;}
    .col-640-5{width: 41.66%;}
    .col-640-6{width: 50%;}
    .col-640-7{width: 58.33%;}
    .col-640-8{width: 66.66%;}
    .col-640-9{width: 75%;}
    .col-640-10{width: 83.33%;}
    .col-640-11{width: 91.66%;}
    .col-640-12{width: 100%;}
        
    .mxw{
        padding: 0px 35px;
        margin: 0px auto;
    }
    
    imgw1-640{
        width: 20px;
    }
    
    .f-30{
        width: 100%;
    }
    
    .altfija1{
        height: auto;
    }
    
    .marbot-640-1{
        margin-bottom: 35px;
    }
    
    .marbot-640-2{
        margin-bottom: 15px;
    }
    
    .marri1{
        margin-right: 0px;
    }
    
    .ocultar-640-1{
        display: none;
    }
    
    .ocultar-640-2{
        display: block;
    }
    
    .padle1{
        padding-left: 0px;
    }
    
    .pslider1{ /* index - slider */
        font-size: 25px;
    }

    .pslider2{ /* index - slider */
        font-size: 16px;
    }
    
    .boton1{ /* Index - Hija 1 */
        padding: 6px;
        width: 130px;
        font-size: 14px;
    }
    
    .hija1{ /* la cocina día a día */
        top: 0px;
        left: 0px;
        width: 100%;
    }
    
    .hija2{ /* index - portadas */
        padding: 10px 10px 0px;
    }
    
    .recuadro{
        padding: 20px;
        width: auto;
    }
    
    .medio-640{
        text-align: center;
        margin: 0px auto;
    }
    
    .imgw1-640{
        width: 300px;
    }
    
    #form-anuncio .campo{
        width: 300px;
    }
    
    #form-recetas .campo{
        width: 100px;
        margin-right: 20px;
    }
}

@media screen and (max-width:425px){ /* R425 */
    .ocultar-425-1{
        display: none;
    }
    
    .ocultar-425-2{
        display: block;
    }
    
    .mxw{
        padding: 0px 15px;
    }
    
    .mxw2{
        padding: 0px 0px;
        margin: 0px auto;
    }
    
    #form-anuncio .campo{
        width: 270px;
    }

    #form-anuncio textarea{
        width: 270px;
    }
    
    .imgw1-425{
        width: 80px;
    }
    
    .raya3{ /* encuesta - horizontal pequeña */
        margin: 3px 0px 25px 0px;
    }
    
    h2{
        font-size: 30px;
    }
    
    #form-recetas input, select, option{
        height: 25px;
        width: 150px;
    }

    #form-recetas textarea{
        height: 100px;
        width: 150px;
    }

    #form-recetas .boton4{
        width: 305px;
    }
}

@media screen and (max-width:320px){ /* R320 */
    .mxw{
        padding: 0px 7px;
    }
    
    .imgw1-425{
        width: 60px;
    }
    
     .imgw1-640{
        width: 240px;
    }
}